Name:                jfreechart
Version:             1.0.19
Release:             1
Summary:             Java chart library
License:             LGPLv2+
URL:                 https://github.com/jfree/jfreechart
Source0:             http://download.sourceforge.net/sourceforge/jfreechart/jfreechart-%{version}.zip
BuildRequires:       maven-local maven-plugin-bundle mvn(org.jfree:jcommon) >= 1.0.23
BuildRequires:       mvn(javax.servlet:javax.servlet-api) >= 2.5
BuildRequires:       sonatype-oss-parent ant
BuildArch:           noarch
%description
JFreeChart is a free 100% Java chart library that makes it easy for
developers to display professional quality charts in their applications.

%package javadoc
Summary:             Javadocs for %{name}
Requires:            %{name} = %{version}-%{release} jpackage-utils
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;
MVN_BUNDLE_PLUGIN_EXTRA_XML="<extensions>true</extensions>
        <configuration>
          <instructions>
            <Bundle-SymbolicName>org.jfree.jfreechart</Bundle-SymbolicName>
            <Bundle-Vendor>Fedora Project</Bundle-Vendor>
            <Bundle-Version>%{version}</Bundle-Version>
            <!-- Do not autogenerate uses clauses in Manifests -->
            <Import-Package>
              !javax.servlet,
              !javax.servlet.http,
              *
            </Import-Package>
            <_nouses>true</_nouses>
          </instructions>
        </configuration>"
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-jxr-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_change_dep javax.servlet:servlet-api: javax.servlet:javax.servlet-api:
%pom_add_plugin org.apache.felix:maven-bundle-plugin . "$MVN_BUNDLE_PLUGIN_EXTRA_XML"
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin . "<configuration><excludePackageNames>org.jfree.chart.fx*</excludePackageNames></configuration>"
%pom_xpath_set "pom:packaging" "bundle"

%build
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc ChangeLog NEWS README.txt

%files javadoc -f .mfiles-javadoc

%changelog
* Mon Aug 17 2020 wangchong <wangchong56@huawei.com> - 1.0.19-1
- package init
